/************************************************************************
*                                                                       *
*       gimp_morph.h                                                    *
*	Header file for GIMP plug-in morphological functions		*
*                                                                       *
*       Author: Bryan Evenson                                           *
*       Created: May 6, 1999                                            *
*                                                                       *
*       Revision 1.5                                                    *
*                                                                       *
************************************************************************/



#ifndef __GIMP_MORPH_H_
#define __GIMP_MORPH_H_

GPixelRgn gimp_dilate(GDrawable *drawable, int Se[5][5], int Px, int Py);
GPixelRgn gimp_erode(GDrawable *drawable, int Se[5][5], int Px, int Py);
GPixelRgn gimp_gradient(GDrawable *drawable, int Se[5][5], int Px, int Py);

#endif
